# SPDX-FileCopyrightText: 2021 GNOME Foundation
#
# SPDX-License-Identifier: CC0-1.0

stages:
 - check
 - deploy

image: registry.gitlab.gnome.org/teams/websites/developer.gnome.org/dgo:v1

reuse:
  stage: check
  needs: []
  script:
    - pip3 install --user --upgrade reuse
    - reuse lint

build:
  stage: check
  needs: []
  script:
    - pip3 install --user --upgrade -r requirements.txt
    - sh -x ./build.sh
    - mkdir _docs
    - mv build/* _docs/
  artifacts:
    paths:
      - _docs

pages:
  stage: deploy
  needs: ['build']
  script:
    - mv _docs public
  artifacts:
    paths:
      - public
  only:
    - main
